## simutrans-pak64 101.0

=== Makefile ===
# Just run
#   make clean all archives
# to get fresh and ready to deploy .tbz2 and .zip archives

MAKEOBJ ?= ./makeobj

DESTDIR  ?= simutrans
PAKDIR   ?= $(DESTDIR)/pak
DESTFILE ?= simupak64

DIRS64 :=
DIRS64 += city_extra
DIRS64 += com
DIRS64 += cur
DIRS64 += factory
#DIRS64 += factory_alcohol
#DIRS64 += factory_computer
#DIRS64 += factory_food
#DIRS64 += factory_waste
DIRS64 += ground
#DIRS64 += ground/oldgrounds
DIRS64 += ind
DIRS64 += monument
DIRS64 += other
DIRS64 += player
DIRS64 += res
DIRS64 += trees
DIRS64 += vehicle/road
DIRS64 += vehicle/track
DIRS64 += vehicle/water
DIRS64 += vehicle/air
DIRS64 += vehicle/monorail
DIRS64 += vehicle/trams
DIRS64 += way
#DIRS64 += way/Hebewerk

DIRS128 :=
DIRS128 += big-logo


DIRS := $(DIRS64) $(DIRS128)


.PHONY: $(DIRS) copy tar zip

all: copy $(DIRS)

archives: tar zip

tar: $(DESTFILE).tbz2
zip: $(DESTFILE).zip

$(DESTFILE).tbz2: $(PAKDIR)
	@echo "===> TAR $@"
	@tar cjf $@ $(DESTDIR)

$(DESTFILE).zip: $(PAKDIR)
	@echo "===> ZIP $@"
	@zip -rq $@ $(DESTDIR)

copy:
	@echo "===> COPY"
	@mkdir -p $(PAKDIR)/sound $(PAKDIR)/text $(PAKDIR)/config $(PAKDIR)/scenario
	@cp -p compat/compat.tab $(PAKDIR)
	@cp -p sound/* $(PAKDIR)/sound
	@cp -p config/* $(PAKDIR)/config
	@cp -p scenario/* $(PAKDIR)/scenario
	@cp -p pak.text/* $(PAKDIR)/text

$(DIRS64):
	@echo "===> PAK64 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) quiet PAK $(PAKDIR)/ $@/ > /dev/null

$(DIRS128):
	@echo "===> PAK128 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) quiet PAK128 $(PAKDIR)/ $@/ > /dev/null

clean:
	@echo "===> CLEAN"
	@rm -fr $(PAKDIR) $(DESTFILE).tbz2 $(DESTFILE).zip

## simutrans-pak64 102.2.2

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,6 @@
 DIRS64 += vehicle/monorail
 DIRS64 += vehicle/trams
 DIRS64 += way
-#DIRS64 += way/Hebewerk
 
 DIRS128 :=
 DIRS128 += big-logo

## simutrans-pak64 110.0

=== debian/changelog ===
simutrans-pak64 (110.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * debian/control: Remove DM-Upload-Allowed.
  * Use source format 3.0 (quilt).
  * Bump Standards-Version to 3.9.1 (no changes).
  * Add README.source explaining how to upgrade this package.
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 17 Feb 2011 13:57:30 +0100

simutrans-pak64 (102.2.2-1) unstable; urgency=low

  * New upstream release.
    + debian/rules: Update get-orig-source target.
  * debian/control: Breaks: simutrans (<< 102.2.1). (Closes: #565493)
  * Bump Standards-Version to 3.8.4 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 12 Mar 2010 09:08:22 +0900

simutrans-pak64 (102.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update to current revision of DEP-5.
  * debian/copyright: Do not use "Artistic" as short name for the license.
    See also #524732.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 29 Dec 2009 00:20:44 +0900

simutrans-pak64 (102.2-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dep on simutrans-makeobj to 102.2.
  * Use minimal debian/rules.  This requires debhelper (>= 7.0.50)
    and quilt (>= 0.46-7).
  * Bump Standards Version to 3.8.3 (no changes).
  * debian/rules: Add get-orig-source target.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 18 Oct 2009 15:39:31 +0900

simutrans-pak64 (102.0-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 06 Mar 2009 20:24:29 +0100

simutrans-pak64 (101.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Mar 2009 14:05:58 -0500

simutrans-pak64 (101.0-1) experimental; urgency=low

  * New upstream release.
  * Require latest version of simutrans-makeobj (101.0)
  * Add description to patch.
  * debian/copyright: Convert to proposed machine-readable format.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 18 Jan 2009 19:48:32 +0100

simutrans-pak64 (100.0-1) unstable; urgency=low

  * New Upstream release
  * add watch file
  * Bump Standards Version to 3.8.0
    + Add debian/README.source

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 29 Jun 2008 16:37:10 +0200

simutrans-pak64 (99.18~0.svn26-1) unstable; urgency=low

  * Initial release (Closes: #467549)

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 29 Feb 2008 12:21:09 +0100

=== debian/rules ===
#!/usr/bin/make -f

# SVN revision and package version to use when building .orig.tar.gz
SVNREV  = 419
VERSION = 110.0
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
UPSTREAM_SVNREV = 418:419 # see README.source

%:
	dh $@

override_dh_auto_build:
	$(MAKE) SVNREV=$(UPSTREAM_SVNREV) all

override_dh_auto_install:
	$(MAKE) PAKDIR=$(CURDIR)/debian/simutrans-pak64/usr/share/games/simutrans/pak copy

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak64 simutrans-pak64-$(VERSION)
	find simutrans-pak64-$(VERSION) -type f -exec chmod -x "{}" +
	tar c simutrans-pak64-$(VERSION) | gzip -9 >simutrans-pak64_$(VERSION).orig.tar.gz
	$(RM) -r simutrans-pak64-$(VERSION)

## simutrans-pak64 110.0.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,9 @@
 PAKDIR   ?= $(DESTDIR)/pak
 DESTFILE ?= simupak64
 
+OUTSIDE :=
+OUTSIDE += ground
+
 DIRS64 :=
 DIRS64 += city_extra
 DIRS64 += com
@@ -17,7 +20,7 @@
 #DIRS64 += factory_computer
 #DIRS64 += factory_food
 #DIRS64 += factory_waste
-DIRS64 += ground
+#DIRS64 += ground
 #DIRS64 += ground/oldgrounds
 DIRS64 += ind
 DIRS64 += monument
@@ -37,7 +40,7 @@
 DIRS128 += big-logo
 
 
-DIRS := $(DIRS64) $(DIRS128)
+DIRS := $(OUTSIDE) $(DIRS64) $(DIRS128)
 
 
 .PHONY: $(DIRS) copy tar zip
@@ -76,6 +79,15 @@
 	@mkdir -p $(PAKDIR)
 	@$(MAKEOBJ) quiet PAK128 $(PAKDIR)/ $@/ > /dev/null
 
+$(OUTSIDE):
+	@echo "===> OUTSIDE with REVISION and grounds"
+	@mkdir -p $(PAKDIR)
+	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 110.0 r" >$@/outside.dat
+	@svnversion >>$@/outside.dat
+	@echo -e "Image[0][0]=outside.0.0\n-" >>$@/outside.dat
+	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null
+	@rm $@/outside.dat
+
 clean:
 	@echo "===> CLEAN"
 	@rm -fr $(PAKDIR) $(DESTFILE).tbz2 $(DESTFILE).zip

=== debian/changelog ===
simutrans-pak64 (110.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Update get-orig-source for new upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 11 Mar 2011 11:55:05 +0100

=== debian/control ===
Source: simutrans-pak64
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: simutrans-makeobj (>= 102.2)
Standards-Version: 3.9.1
Homepage: http://www.simutrans.com/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak64/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/simutrans-pak64/?op=log

Package: simutrans-pak64
Architecture: all
Depends: ${misc:Depends}
Breaks: simutrans (<< 102.2.1)
Recommends: simutrans
Description: transportation simulator (data files)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the PAK64 data set.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 419
-VERSION = 110.0
+SVNREV  = 435
+VERSION = 110.0.1
 SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
-UPSTREAM_SVNREV = 418:419 # see README.source
+UPSTREAM_SVNREV = 435 # see README.source
 
 %:
 	dh $@

## simutrans-pak64 111.0

=== Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 $(OUTSIDE):
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 110.0 r" >$@/outside.dat
+	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 111.0 r" >$@/outside.dat
 	@svnversion >>$@/outside.dat
 	@echo -e "Image[0][0]=outside.0.0\n-" >>$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null

=== debian/changelog ===
simutrans-pak64 (111.0-1) unstable; urgency=low

  * New upstream release.
  * Use xz compression for binary and source packages.
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 04 Nov 2011 17:11:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: simutrans-makeobj (>= 102.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.simutrans.com/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak64/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/simutrans-pak64/?op=log
@@ -13,6 +13,7 @@
 Package: simutrans-pak64
 Architecture: all
 Depends: ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.6)
 Breaks: simutrans (<< 102.2.1)
 Recommends: simutrans
 Description: transportation simulator (data files)

=== debian/rules ===
#!/usr/bin/make -f

# SVN revision and package version to use when building .orig.tar.gz
SVNREV  = 610
VERSION = 111.0
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
UPSTREAM_SVNREV = 609M # see README.source

%:
	dh $@

override_dh_auto_build:
	$(MAKE) SVNREV=$(UPSTREAM_SVNREV) all

override_dh_auto_install:
	$(MAKE) PAKDIR=$(CURDIR)/debian/simutrans-pak64/usr/share/games/simutrans/pak copy

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak64 simutrans-pak64-$(VERSION)
	find simutrans-pak64-$(VERSION) -type f -exec chmod -x "{}" +
	tar c simutrans-pak64-$(VERSION) | xz >simutrans-pak64_$(VERSION).orig.tar.xz
	$(RM) -r simutrans-pak64-$(VERSION)

## simutrans-pak64 111.2

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 DESTDIR  ?= simutrans
 PAKDIR   ?= $(DESTDIR)/pak
+ADDONDIR ?= $(DESTDIR)/addons/pak
 DESTFILE ?= simupak64
 
 OUTSIDE :=
@@ -16,12 +17,7 @@
 DIRS64 += com
 DIRS64 += cur
 DIRS64 += factory
-#DIRS64 += factory_alcohol
-#DIRS64 += factory_computer
-#DIRS64 += factory_food
-#DIRS64 += factory_waste
-#DIRS64 += ground
-#DIRS64 += ground/oldgrounds
+DIRS64 += factory_waste
 DIRS64 += ind
 DIRS64 += monument
 DIRS64 += other
@@ -39,13 +35,19 @@
 DIRS128 :=
 DIRS128 += big-logo
 
+ADDON_DIRS64 :=
+#ADDON_DIRS64 += factory_alcohol
+#ADDON_DIRS64 += factory_computer
+ADDON_DIRS64 += factory_food
+
 
 DIRS := $(OUTSIDE) $(DIRS64) $(DIRS128)
+ADDON_DIRS := $(ADDON_DIRS64)
 
 
-.PHONY: $(DIRS) copy tar zip
+.PHONY: $(DIRS) $(ADDON_DIRS64) copy tar zip
 
-all: copy $(DIRS)
+all: copy $(DIRS) zip
 
 archives: tar zip
 
@@ -82,7 +84,7 @@
 $(OUTSIDE):
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 111.0 r" >$@/outside.dat
+	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 111.2 r" >$@/outside.dat
 	@svnversion >>$@/outside.dat
 	@echo -e "Image[0][0]=outside.0.0\n-" >>$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null
@@ -91,3 +93,14 @@
 clean:
 	@echo "===> CLEAN"
 	@rm -fr $(PAKDIR) $(DESTFILE).tbz2 $(DESTFILE).zip
+
+addons: 	clean copy_addons $(ADDON_DIRS64)
+
+copy_addons:
+	@echo "===> COPY"
+	@mkdir  -p $(ADDONDIR)
+
+$(ADDON_DIRS64):
+	@echo "===> PAK64 $@"
+	@mkdir -p $(ADDONDIR)
+	@$(MAKEOBJ) quiet PAK $(ADDONDIR)/ $@/ > /dev/null

=== debian/changelog ===
simutrans-pak64 (111.2-1) unstable; urgency=low

  * New upstream release.
  * Move package to a Git repository.
  * Bumped Standards-Version to 3.9.3.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 29 Apr 2012 15:11:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: simutrans-makeobj (>= 102.2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.simutrans.com/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak64/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/simutrans-pak64/?op=log
+Vcs-Git: git://git.debian.org/pkg-games/simutrans-pak64.git
+Vcs-Browser: http://git.debian.org/?p=pkg-games/simutrans-pak64.git
 
 Package: simutrans-pak64
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 610
-VERSION = 111.0
+SVNREV  = 811
+VERSION = 111.2
 SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
-UPSTREAM_SVNREV = 609M # see README.source
+UPSTREAM_SVNREV = 810:811 # see README.source
 
 %:
 	dh $@

## simutrans-pak64 111.3

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 $(OUTSIDE):
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 111.2 r" >$@/outside.dat
+	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 111.3 r" >$@/outside.dat
 	@svnversion >>$@/outside.dat
 	@echo -e "Image[0][0]=outside.0.0\n-" >>$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null

=== debian/changelog ===
simutrans-pak64 (111.3-1) experimental; urgency=low

  * New upstream release.
  * Make binary package Multi-Arch: foreign.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 02 Aug 2012 18:08:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: simutrans-pak64
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
 Breaks: simutrans (<< 102.2.1)

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 811
-VERSION = 111.2
+SVNREV  = 892
+VERSION = 111.3
 SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
-UPSTREAM_SVNREV = 810:811 # see README.source
+UPSTREAM_SVNREV = 892 # see README.source
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g" http://sf.net/simutrans/(?:simu)?pak64-([0-9].*)\.zip

## simutrans-pak64 120.0.1

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # to get fresh and ready to deploy .tbz2 and .zip archives
 
 MAKEOBJ ?= ./makeobj
+LIGHTMAP ?= ./lightmap
 
 DESTDIR  ?= simutrans
 PAKDIR   ?= $(DESTDIR)/pak
@@ -54,6 +55,7 @@
 tar: $(DESTFILE).tbz2
 zip: $(DESTFILE).zip
 
+
 $(DESTFILE).tbz2: $(PAKDIR)
 	@echo "===> TAR $@"
 	@tar cjf $@ $(DESTDIR)
@@ -64,17 +66,19 @@
 
 copy:
 	@echo "===> COPY"
+	@rm -rf $(PAKDIR)
 	@mkdir -p $(PAKDIR)/sound $(PAKDIR)/text $(PAKDIR)/config $(PAKDIR)/scenario
 	@cp -p compat/compat.tab $(PAKDIR)
 	@cp -p sound/* $(PAKDIR)/sound
 	@cp -p config/* $(PAKDIR)/config
-	@cp -p scenario/* $(PAKDIR)/scenario
+	@cp -rp scenario/* $(PAKDIR)/scenario
+	@find $(PAKDIR)/scenario -depth "(" -name ".svn" ")" -exec rm -rf {} \;
 	@cp -p pak.text/* $(PAKDIR)/text
 
 $(DIRS64):
 	@echo "===> PAK64 $@"
 	@mkdir -p $(PAKDIR)
-	@$(MAKEOBJ) quiet PAK $(PAKDIR)/ $@/ > /dev/null
+	@$(MAKEOBJ) verbose PAK $(PAKDIR)/ $@/ > /dev/null
 
 $(DIRS128):
 	@echo "===> PAK128 $@"
@@ -82,16 +86,24 @@
 	@$(MAKEOBJ) quiet PAK128 $(PAKDIR)/ $@/ > /dev/null
 
 $(OUTSIDE):
+	@echo "===> Grounds calculations"
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak64 111.3 r" >$@/outside.dat
-	@svnversion >>$@/outside.dat
-	@echo -e "Image[0][0]=outside.0.0\n-" >>$@/outside.dat
+	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.0.1 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null
 	@rm $@/outside.dat
 
+calclight:
+	@echo "===> MAKE lightmaps and borders"
+	@$(LIGHTMAP) -pak64 -marker16 -c#0xFF8000 ground/marker.png
+	@$(LIGHTMAP) -pak64 -marker16 -c#0x800000 ground/borders.png
+	@$(LIGHTMAP) -pak64 -slope16 -bright128 ground/texture-lightmap.png
+
 clean:
 	@echo "===> CLEAN"
+#	@rm ground/marker.png
+#	@rm ground/borders.png
+#	@rm ground/texture-lightmap.png
 	@rm -fr $(PAKDIR) $(DESTFILE).tbz2 $(DESTFILE).zip
 
 addons: 	clean copy_addons $(ADDON_DIRS64)

=== debian/changelog ===
simutrans-pak64 (120.0.1-2) unstable; urgency=medium

  * debian/patches/buildsystem:
    - Change makeobj path from /usr/games to /usr/lib/simutrans.
    - Rename to 0001-buildsystem.patch
  * debian/control:
    - Bump makeobj version to >= 120.1.1+repack-2.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 18 Nov 2015 10:25:55 +0100

simutrans-pak64 (120.0.1-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * Upload to unstable.
  * debian/control:
    - Add myself as uploader.
    - Bump Standards-Version to 3.9.6 (No changes required).
    - Change debhelper version to >= 9.
    - Change simutrans-makeobj version to >= 120.0.
    - Remove "Breaks: simutrans (<< 102.2.1)" because oldstable
      has version 111.
    - Rewrite Vcs-* to canonical URI.
    - Remove subversion from Build-Depends.
    - Remove obsolete Pre-Depends.
  * Change debian/compat to 9.
  * debian/rules:
    - Change SVNREV and VERSION for new upstream release.
    - Remove override_dh_builddeb because compression xz is now standard.
  * debian/copyright:
    - Add myself to debian/*.
    - Rewrite for new upstream release.
  * Rewrite debian/patches/buildsystem.
  * New debian/simutrans-pak64.dirs.
  * Rewrite debian/simutrans-pak64.install.
  * debian/source/options:
    - Removed because xz is now standard compression.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 14 Nov 2015 09:26:02 +0100

=== debian/control ===
Source: simutrans-pak64
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9)
Build-Depends-Indep:
 simutrans-makeobj (>= 120.1.1+repack-2)
Standards-Version: 3.9.6
Homepage: http://www.simutrans.com/
Vcs-Git: git://anonscm.debian.org/pkg-games/simutrans-pak64.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak64.git

Package: simutrans-pak64
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: simutrans
Description: transportation simulator (data files)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the PAK64 data set.

=== debian/rules ===
#!/usr/bin/make -f

# SVN revision and package version to use when building .orig.tar.gz
SVNREV  = 1657
VERSION = 120.0.1
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
UPSTREAM_SVNREV = 1657 # see README.source

%:
	dh $@

#override_dh_auto_build:
#	$(MAKE) SVNREV=$(UPSTREAM_SVNREV) all
#	$(MAKE) all

override_dh_auto_install:
	$(MAKE) PAKDIR=$(CURDIR)/debian/simutrans-pak64/usr/share/games/simutrans/pak copy

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/simutrans-pak64/usr/share/games/simutrans/pak/pak.text $(CURDIR)/debian/simutrans-pak64/usr/share/games/simutrans/pak/text

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak64 simutrans-pak64-$(VERSION)
	find simutrans-pak64-$(VERSION) -type f -exec chmod -x "{}" +
	tar c simutrans-pak64-$(VERSION) | xz >../simutrans-pak64_$(VERSION).orig.tar.xz
	$(RM) -r simutrans-pak64-$(VERSION)

## simutrans-pak64 120.1.2

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	@echo "===> Grounds calculations"
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.0.1 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
+	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.1.2 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null
 	@rm $@/outside.dat

=== debian/changelog ===
simutrans-pak64 (120.1.2-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * debian/rule: Change SVNREV and VERSION to the current version.
  * debian/control:
    - Change Build-Depends-Indep to the new debian release
      of simutrans-makeobj (120.1.3).
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Change Vcs-Git from git:// to https://.
  * debian/watch: Bump version to 4 (no changes required).
  * debian/changelog: Add year 2016.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 09 Feb 2016 21:10:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper (>= 9)
 Build-Depends-Indep:
- simutrans-makeobj (>= 120.1.1+repack-2)
-Standards-Version: 3.9.6
+ simutrans-makeobj (>= 120.1.3)
+Standards-Version: 3.9.7
 Homepage: http://www.simutrans.com/
-Vcs-Git: git://anonscm.debian.org/pkg-games/simutrans-pak64.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans-pak64.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak64.git
 
 Package: simutrans-pak64

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 1657
-VERSION = 120.0.1
+SVNREV  = 1830
+VERSION = 120.1.2
 SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
 UPSTREAM_SVNREV = 1657 # see README.source

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./g" http://sf.net/simutrans/(?:simu)?pak64-([0-9].*)\.zip

## simutrans-pak64 120.2

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	@echo "===> Grounds calculations"
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.1.2 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
+	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.2 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null
 	@rm $@/outside.dat

=== debian/changelog ===
simutrans-pak64 (120.2-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
    - debian/simutrans-pak64.install: Change from path to simutrans/pak.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Change to my new mail address:
    - debian/control,
    - debian/copyright
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).
  * debian/control:
    - Change Priority from deprecated extra to optional.
  * debian/rules:
    - Remove useless override_dh_install.
  * debian/copyright:
    - Add year 2018 to debian/*.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 01 Jan 2018 15:51:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: simutrans-pak64
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Jörg Frings-Fürst <debian@jff-webhosting.net>
+ Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 9)
+ debhelper (>= 11)
 Build-Depends-Indep:
- simutrans-makeobj (>= 120.1.3)
-Standards-Version: 3.9.7
+ simutrans-makeobj (>= 120.1)
+Standards-Version: 4.1.3
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans-pak64.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak64.git

=== debian/rules ===
#!/usr/bin/make -f

# SVN revision and package version to use when building .orig.tar.gz
SVNREV  = 1921
VERSION = 120.2
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
UPSTREAM_SVNREV = 1921 # see README.source

%:
	dh $@

override_dh_auto_build:
	$(MAKE) SVNREV=$(UPSTREAM_SVNREV) all
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) PAKDIR=$(CURDIR)/debian/simutrans-pak64/usr/share/games/simutrans/pak copy

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak64 simutrans-pak64-$(VERSION)
	find simutrans-pak64-$(VERSION) -type f -exec chmod -x "{}" +
	tar c simutrans-pak64-$(VERSION) | xz >../simutrans-pak64_$(VERSION).orig.tar.xz
	$(RM) -r simutrans-pak64-$(VERSION)

## simutrans-pak64 120.4.1

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	@echo "===> Grounds calculations"
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.2 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
+	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.4.1 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null
 	@rm $@/outside.dat

=== debian/changelog ===
simutrans-pak64 (120.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 120.4.1.
  * Declare compliance with Debian Policy 4.3.0.

 -- Markus Koschany <apo@debian.org>  Tue, 12 Feb 2019 18:01:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends:
  debhelper (>= 11)
 Build-Depends-Indep:
- simutrans-makeobj (>= 120.1)
-Standards-Version: 4.1.3
+ simutrans-makeobj (>= 120.4.1)
+Standards-Version: 4.3.0
 Homepage: http://www.simutrans.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans-pak64.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak64.git
+Vcs-Git: https://salsa.debian.org/games-team/simutrans-pak64.git
+Vcs-Browser: https://salsa.debian.org/games-team/simutrans-pak64
 
 Package: simutrans-pak64
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 1921
-VERSION = 120.2
-SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
-UPSTREAM_SVNREV = 1921 # see README.source
+SVNREV  = 1974
+VERSION = 120.4.1
+SVNROOT = https://svn.code.sf.net/p/simutrans/code
+UPSTREAM_SVNREV = 1974 # see README.source
 
 %:
 	dh $@

## simutrans-pak64 121.0

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	@echo "===> Grounds calculations"
 	@echo "===> OUTSIDE with REVISION and grounds"
 	@mkdir -p $(PAKDIR)
-	@printf "Obj=ground\nName=Outside\ncopyright=pak64 120.4.1 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
+	@printf "Obj=ground\nName=Outside\ncopyright=pak64 121 r%s\nImage[0][0]=outside.0.1\n-" `svnversion` >$@/outside.dat
 	@$(MAKEOBJ) PAK64 $(PAKDIR)/ $@/ > /dev/null
 	@rm $@/outside.dat

=== debian/changelog ===
simutrans-pak64 (121.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 121.0.
  * Tighten B-D on simutrans-makeobj and fix FTBFS and path to makeobj binary.
    (Closes: #963460)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Jun 2020 00:06:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 11)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
- simutrans-makeobj (>= 120.4.1)
-Standards-Version: 4.3.0
+ simutrans-makeobj (>= 121.0)
+Standards-Version: 4.5.0
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://salsa.debian.org/games-team/simutrans-pak64.git
 Vcs-Browser: https://salsa.debian.org/games-team/simutrans-pak64

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 1974
-VERSION = 120.4.1
+SVNREV  = 2018
+VERSION = 121.0
 SVNROOT = https://svn.code.sf.net/p/simutrans/code
-UPSTREAM_SVNREV = 1974 # see README.source
+UPSTREAM_SVNREV = 2018 # see README.source
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g,compression=xz,repack \
 http://sf.net/simutrans/(?:simu)?pak64-([0-9].*)\.zip
